Commit 5575c27b authored by Stan Hu's avatar Stan Hu

Fix issues with Google shared drives

1. Update to google_drive v3.0.5 to get `supports_all_drives` flag

2. Change the root collection from `root` to the Google Drive ID
parent 6493eef0
source 'https://rubygems.org'
gem 'google_drive', '= 3.0.3'
gem 'google_drive', '~> 3.0.5'
gem 'httparty', '= 0.17.0'
gem 'mediainfo', '= 1.3.3'
......
GEM
remote: https://rubygems.org/
specs:
addressable (2.6.0)
public_suffix (>= 2.0.2, < 4.0)
addressable (2.7.0)
public_suffix (>= 2.0.2, < 5.0)
ast (2.4.1)
byebug (11.1.3)
declarative (0.0.10)
declarative (0.0.20)
declarative-option (0.1.0)
faraday (0.15.4)
faraday (1.0.1)
multipart-post (>= 1.2, < 3)
google-api-client (0.30.8)
google-api-client (0.42.0)
addressable (~> 2.5, >= 2.5.1)
googleauth (>= 0.5, < 0.10.0)
googleauth (~> 0.9)
httpclient (>= 2.8.1, < 3.0)
mini_mime (~> 1.0)
representable (~> 3.0)
retriable (>= 2.0, < 4.0)
signet (~> 0.10)
google_drive (3.0.3)
google-api-client (>= 0.11.0, < 0.31.0)
signet (~> 0.12)
google_drive (3.0.5)
google-api-client (>= 0.11.0, < 1.0.0)
googleauth (>= 0.5.0, < 1.0.0)
nokogiri (>= 1.5.3, < 2.0.0)
googleauth (0.9.0)
faraday (~> 0.12)
googleauth (0.13.0)
faraday (>= 0.17.3, < 2.0)
jwt (>= 1.4, < 3.0)
memoist (~> 0.16)
multi_json (~> 1.11)
os (>= 0.9, < 2.0)
signet (~> 0.7)
signet (~> 0.14)
httparty (0.17.0)
mime-types (~> 3.0)
multi_xml (>= 0.5.2)
httpclient (2.8.3)
jwt (2.2.1)
mediainfo (1.3.3)
memoist (0.16.0)
memoist (0.16.2)
mime-types (3.2.2)
mime-types-data (~> 3.2015)
mime-types-data (3.2019.0331)
mini_mime (1.0.2)
mini_portile2 (2.4.0)
multi_json (1.13.1)
multi_json (1.15.0)
multi_xml (0.6.0)
multipart-post (2.1.1)
nokogiri (1.10.4)
nokogiri (1.10.10)
mini_portile2 (~> 2.4.0)
os (1.0.1)
os (1.1.0)
parallel (1.19.2)
parser (2.7.1.4)
ast (~> 2.4.1)
public_suffix (3.1.1)
public_suffix (4.0.5)
rainbow (3.0.0)
regexp_parser (1.7.1)
representable (3.0.4)
......@@ -70,9 +70,9 @@ GEM
rubocop-ast (0.1.0)
parser (>= 2.7.0.1)
ruby-progressbar (1.10.1)
signet (0.11.0)
signet (0.14.0)
addressable (~> 2.3)
faraday (~> 0.9)
faraday (>= 0.17.3, < 2.0)
jwt (>= 1.5, < 3.0)
multi_json (~> 1.10)
uber (0.1.0)
......@@ -83,7 +83,7 @@ PLATFORMS
DEPENDENCIES
byebug
google_drive (= 3.0.3)
google_drive (~> 3.0.5)
httparty (= 0.17.0)
mediainfo (= 1.3.3)
rubocop (~> 0.87)
......
......@@ -16,6 +16,15 @@ require 'ostruct'
require 'httparty'
require 'mediainfo'
module GoogleDrive
# Monkey patches google-drive-ruby to support shared drivers
class Session
def root_collection
@root_collection ||= file_by_id(ENV['GOOGLE_DRIVE_ID'])
end
end
end
# Client to access Zoom.us recordings and paginate records
class ZoomClient
include HTTParty
......@@ -114,7 +123,7 @@ class GoogleDriveClient
end
def base_collection
@base_collection ||= session.collection_by_id(gdrive_id)
@session.root_collection
end
# If you want to store videos in a folder, change this
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment